<!DOCTYPE html>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%@page session="false" %>
<%@taglib uri="http://tiles.apache.org/tags-tiles" prefix="t" %>
<%@taglib uri="http://www.springframework.org/tags" prefix="s"%>
<s:url var="base" value="/" />
<html>
  <head>
    <title>juplo - <t:getAsString name="title"/></title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="${base}css/base.css" />
    <style type="text/css">
      @import '${base}css/screen.css' screen and (min-width: 750px);
      @import '${base}css/tablet.css' screen and (min-width: 750px) and (max-width: 939px);
      @import '${base}css/phone.css' screen and (max-width: 599px);
      @import '${base}css/tiny.css' screen and (max-width: 399px);
    </style>
    <script src="${base}js/base.js"></script>
    <!--[if IE 8]>
      <script src="${base}js/ie8.js"></script>
    <![endif]-->
    <!--[if IE 7]>
      <script src="${base}js/ie7.js"></script>
    <![endif]-->
    <!--[if lt IE 7]>
      <script src="${base}js/ie6.js"></script>
    <![endif]-->
  </head>
  <body onload="prettyPrint()">
    <div id="page" class="<t:getAsString name="contentclass"/> cf">
      <header id="header">
        <a href="${base}index.html" title="Home" id="logo">juplo</a>
        <span id="slogan"><strong>Java</strong> bits from nerds for nerds</span>
        <hr class="h" />
      </header>
      <div id="breadcrumb">
        <strong class="b title">You are here:</strong>
        <ol class="b">
          <t:insertAttribute name="breadcrumb"/>
        </ol>
        <a class="hide" href="#navigation">Jump to navigation</a>
        <div class="b"></div>
      </div>
      <div class="content cf">
        <section id="content" class="main">
          <h1><t:getAsString name="title"/></h1>
          <t:insertAttribute name="maincontent"/>
        </section>
        <div class="marginal">
          <nav id="nav">
            <hr />
            <a id="navigation"></a>
            <t:insertAttribute name="navigation"/>
            <hr />
          </nav>
          <t:insertAttribute name="marginalcontent" ignore="true"/>
        </div>
      </div>
      <footer id="footer">
        <hr />
        <ul id="footerlinks">
          <li class="f" id="copyright">© <strong>mo</strong> 2013</li>
          <li class="f"><a class="f" href="${base}contact.html">Contact</a></li>
          <li class="f"><a class="f" href="${base}impressum.html">Impressum</a></li>
        </ul>
      </footer>
    </div>
  </body>
</html>
